#ifndef _PKTLIB_ARPLIB_H_INCLUDED_
#define _PKTLIB_ARPLIB_H_INCLUDED_

typedef struct _arptbl *arptbl_t;

/* ARPơ֥ */
arptbl_t arplib_table_create(in_addr_t ipaddr, char *macaddr);

/* ѥ᡼ */
in_addr_t arplib_table_get_my_ipaddr(arptbl_t arptbl);
char *arplib_table_get_my_macaddr(arptbl_t arptbl);

/*
 * Ethernetե졼롥
 * ARPäMACɥ쥹ؽ롥
 * ARP Request ä ARP Reply 롥
 */
pktbuf_t arplib_packet_proc(arptbl_t arptbl, pktbuf_t pktbuf);

/*
 * Ethernetե졼(Ethernetإå̤)롥
 * ARPơ֥뤫MACɥ쥹򸡺Ethernetإå롥
 * MACɥ쥹ξˤ ARP Request ȯԤ롥
 */
pktbuf_t arplib_packet_make(arptbl_t arptbl, pktbuf_t pktbuf,
			    int type, in_addr_t ipaddr);

#endif
